## php.java.bridge
Class ThreadPool

    java.lang.Object
      php.java.bridge.BaseThreadPool
          php.java.bridge.ThreadPool

    public class ThreadPool

extends BaseThreadPool

A thread pool, accepts runnables and runs them in a thread environment. Example:
`ThreadPool pool = new ThreadPool("MyThreadPool", 20);
pool.start(new YourRunnable());
`

Constructor Summary
`ThreadPool(java.lang.String name, int poolMaxSize)`
`ThreadPool(java.lang.String name, int poolMaxSize, java.lang.ClassLoader loader)`

Method Summary

Methods inherited from class php.java.bridge.BaseThreadPool
`start`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ThreadPool

    public ThreadPool(java.lang.String name,
                      int poolMaxSize)

### ThreadPool

    public ThreadPool(java.lang.String name,
                      int poolMaxSize,
                      java.lang.ClassLoader loader)